from django.conf.urls import url

from . import views
from django.views.i18n import javascript_catalog


urlpatterns = [
    url(r'^$', views.index, name='index'),
    url(r'^js/jsi18n/$', javascript_catalog, name='jsi18n'),

    url(r'^publishers/$', views.publisherList, name='publishers-list'),
    url(r'^publishers/(?P<type>\w+)$', views.publisherList, name='publishers-list'),
    url(r'^news/details/(?P<newsId>\w+)/$', views.newsDetails, name='news-details'),
    url(r'^news/$', views.newsList, name='news-list'),

    url(r'^ws/news/$', views.wsNewsList, name='ws-news-list'),
    url(r'^ws/jsonnews/$', views.wsNewsList2, name='ws-news-list2'),
    url(r'^ws/graphs/$', views.wsGraphs, name='ws-graphs'),
    url(r'^ws/download/$', views.wsDownloadNews, name='ws-download-news'),
    url(r'^ws/searches/$', views.wsSearchList, name='ws-search-list'),
    url(r'^ws/playlist/$', views.wsAudioList, name='ws-audio-list'),

    url(r'^audio/$', views.audioList, name='audio'),
    url(r'^audio/(?P<publisher>\w+)$', views.audioPublisher, name='audio'),

    url(r'^settings/$', views.settingsView, name='settings'),
    url(r'^settings/profile$', views.settingsView, name='settings-profile'),
    url(r'^settings/subscriptions$', views.settingsView, name='settings-subscriptions'),
    url(r'^settings/password$', views.settingsView, name='settings-password'),
    url(r'^settings/searches$', views.settingsSearches, name='settings-search'),
]


